package com.ruoyi.rocketmq.service;

import com.ruoyi.rocketmq.domain.InitialSwitchInfo;
import com.ruoyi.rocketmq.domain.InitialSwitchInfoTemp;

import java.util.List;

/**
 * 交换机监控信息Service接口
 * 
 * @author gyt
 * @date 2025-08-26
 */
public interface IInitialSwitchInfoTempService 
{
    /**
     * 查询交换机监控信息
     * 
     * @param id 交换机监控信息主键
     * @return 交换机监控信息
     */
    public InitialSwitchInfoTemp selectInitialSwitchInfoTempById(Long id);

    /**
     * 查询交换机监控信息列表
     * 
     * @param initialSwitchInfoTemp 交换机监控信息
     * @return 交换机监控信息集合
     */
    public List<InitialSwitchInfoTemp> selectInitialSwitchInfoTempList(InitialSwitchInfoTemp initialSwitchInfoTemp);

    /**
     * 新增交换机监控信息
     * 
     * @param initialSwitchInfoTemp 交换机监控信息
     * @return 结果
     */
    public int insertInitialSwitchInfoTemp(InitialSwitchInfoTemp initialSwitchInfoTemp);

    /**
     * 修改交换机监控信息
     * 
     * @param initialSwitchInfoTemp 交换机监控信息
     * @return 结果
     */
    public int updateInitialSwitchInfoTemp(InitialSwitchInfoTemp initialSwitchInfoTemp);

    /**
     * 批量删除交换机监控信息
     * 
     * @param ids 需要删除的交换机监控信息主键集合
     * @return 结果
     */
    public int deleteInitialSwitchInfoTempByIds(Long[] ids);

    /**
     * 删除交换机监控信息信息
     * 
     * @param id 交换机监控信息主键
     * @return 结果
     */
    public int deleteInitialSwitchInfoTempById(Long id);

    /**
     * 批量新增交换机流量监控信息
     *
     * @param list 交换机流量监控信息集合
     * @return 结果
     */
    public int batchInsertInitialSwitchInfoTemp(List<InitialSwitchInfo> list);

    void truncateSwitchInfoTemp(String clientId);
}
